Ask Your Question
1

How to install glib from git?

asked 2013-11-05 07:47:51 -0500

alexanderW gravatar image

updated 2013-11-05 07:48:37 -0500

I would like to test Gnome Software (git.gnome .org/browse/gnome-software/log/), but it requires GLIB - version >= 2.39.0.

But if I clone git.gnome .org/browse/glib, run ./autogen, make and sudo make install, it seems to be installed in the wrong place, since gnome-software's autogen script still complains about glib.

Can I replace the glib version installed via yum without breaking my system and if yes, how?

edit retag flag offensive close merge delete

1 Answer

Sort by ยป oldest newest most voted
3

answered 2013-11-05 08:58:23 -0500

mooninite gravatar image

Autotools will install to /usr/local by default instead of /usr. Attempting to install software outside of yum is possible but it complicates your system administration. Any Fedora update to glib will overwrite your custom installation.

I would recommend installing a virtual machine for Fedora rawhide and testing inside the VM. Rawhide has glib 2.39.0 and would be a better environment to test gnome-software overall.

If you must test it on your host system then you can rebuild the glib 2.39.0 RPM for your version of Fedora (or just upgrade to Fedora rawhide).

edit flag offensive delete link more

Question Tools

Stats

Asked: 2013-11-05 07:47:51 -0500

Seen: 176 times

Last updated: Nov 05 '13